summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMamoru Komachi <usata@gentoo.org>2004-09-16 14:09:20 +0000
committerMamoru Komachi <usata@gentoo.org>2004-09-16 14:09:20 +0000
commit52c96cd1a26e7ca1a13003e319e6f10e3d71ce21 (patch)
tree1e505cf1597fe678af50ac771c4fae73976e038a /eclass/ruby.eclass
parentfix digest (diff)
downloadgentoo-2-52c96cd1a26e7ca1a13003e319e6f10e3d71ce21.tar.gz
gentoo-2-52c96cd1a26e7ca1a13003e319e6f10e3d71ce21.tar.bz2
gentoo-2-52c96cd1a26e7ca1a13003e319e6f10e3d71ce21.zip
support new cascading profiles for ppc-macos
Diffstat (limited to 'eclass/ruby.eclass')
-rw-r--r--eclass/ruby.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/ruby.eclass b/eclass/ruby.eclass
index 1a2a9e737679..4c7acf56a3b7 100644
--- a/eclass/ruby.eclass
+++ b/eclass/ruby.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.38 2004/08/03 19:48:13 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.39 2004/09/16 14:09:20 usata Exp $
#
# Author: Mamoru KOMACHI <usata@gentoo.org>
#
@@ -189,7 +189,7 @@ prepall() {
local ruby_slots=$(echo "${USE_RUBY}" | wc -w)
- if [ "$ruby_slots" -ge 2 ] || ( use macos && [ "$ruby_slots" -ge 1 ] )
+ if [ "$ruby_slots" -ge 2 ] || ((use macos || use ppc-macos) && [ "$ruby_slots" -ge 1 ])
then
einfo "Now we are building the package for ${USE_RUBY}"
for rb in ${USE_RUBY} ruby ; do